%undefine __libtoolize
%define qtdir %_qt3dir
%define rname activeheart
%define beta %nil

Name: kde-styles-%rname-widgets
Version: 1.2.1
Release: alt5

Group: Graphical desktop/KDE
Summary: KDE Style
License: GPL
URL: http://kde-look.org/usermanager/search.php?username=amaterasu

Requires: kdelibs >= %{get_version kdelibs}
Conflicts: kde-styles-activeheart <= 1.2.1-alt1

Source: %rname-%version%beta.tar.bz2
Source1: admin.tar.bz2

# Automatically added by buildreq on Tue Feb 07 2006
#BuildRequires: fontconfig freetype2 gcc-c++ gcc-g77 imake kde-settings kdelibs-devel libICE-devel libSM-devel libX11-devel libXext-devel libXrender-devel libXt-devel libacl-devel libart_lgpl-devel libarts-devel libattr-devel libidn-devel libjpeg-devel libpng-devel libqt3-devel libqt3-settings libstdc++-devel linux-libc-headers qt3-designer xml-utils xorg-cf-files xorg-x11-proto-devel zlib-devel
BuildRequires: gcc-c++ kdelibs-devel xorg-x11-devel libacl-devel libart_lgpl-devel
BuildRequires: libarts-devel libattr-devel libjpeg-devel libpng-devel
BuildRequires: libqt3-devel libstdc++-devel xml-utils zlib-devel

%description
The concept of this style is harmony of sharpness and softness.
And this style was created based on keramik.

Authors:
--------
amaterasu <prefsx1@yahoo.co.jp>

Keramik engine by:
Malte Starostik <malte@kde.org>
Maksim Orlovich <mo002j@mail.rochester.edu>

%prep
%setup -q -n %rname-%version%beta -a 1

#subst "s/Wl,--no-undefined/-Wl,--warn-unresolved-symbols/g" admin/acinclude.m4.in
#subst "s/\(Wl,--no-undefined\)/ -Wl,--allow-shlib-undefined \1/g" admin/acinclude.m4.in
#subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
#subst "s/\.la/.so/g" admin/acinclude.m4.in
make -f admin/Makefile.common cvs

%build
export QTDIR=%qtdir
%configure \
	--enable-final \
	--disable-rpath \
	--enable-shared \
	--disable-static \
        --disable-debug \
	--program-transform-name=""

%make_build

%install
%make DESTDIR=%buildroot install
#mkdir -p %buildroot/%_libdir/kde3/plugins/styles/
#mv %buildroot/%_libdir/*.{so*,la} %buildroot/%_libdir/kde3/plugins/styles/

%files
#%doc AUTHORS ChangeLog TODO
%_libdir/kde3/*.la
%_libdir/kde3/*.so*
%dir %_libdir/kde3/plugins/styles/
%_libdir/kde3/plugins/styles/*.la
%_libdir/kde3/plugins/styles/*.so*
#
%dir %_datadir/apps/kdisplay/color-schemes
%_datadir/apps/kdisplay/color-schemes/*.kcsrc
%dir %_datadir/apps/kstyle/themes
%_datadir/apps/kstyle/themes/*.themerc
#%dir %_datadir/apps/kwin
#%_datadir/apps/kwin/*.desktop

%changelog
* Mon Mar 31 2008 Sergey V Turchin <zerg at altlinux dot org> 1.2.1-alt5
- fix to build with new autotools

* Thu Oct 05 2006 Sergey V Turchin <zerg at altlinux dot org> 1.2.1-alt4
- rebuilt

* Tue Jun 07 2005 Sergey V Turchin <zerg at altlinux dot org> 1.2.1-alt3
- fix build with new kde

* Thu Aug 26 2004 Sergey V Turchin <zerg at altlinux dot org> 1.2.1-alt2
- rename package from kde-styles-activeheart

* Wed May 19 2004 Sergey V Turchin <zerg at altlinux dot org> 1.2.1-alt1
- initial spec
